Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

GetBareMetal2ProvisionNetworkIpAddressCapacity

GetBareMetal2ProvisionNetworkIpAddressCapacity

GET/zstack/v1/baremetal2/provision-networks/ip-capacity

Operation ID

GetBareMetal2ProvisionNetworkIpAddressCapacity

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • networkUuids
    ListRequired

    The deployment network UUIDs.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Indicates that the API request succeeded.

  • capacityData
    ListRequired

    See capacityData.

    • networkUuid
      StringRequired

      The deployment network UUID.

    • totalCapacity
      longRequired

      The total number of IP addresses in the deployment network.

    • availableCapacity
      longRequired

      The available number of IP addresses in the deployment network.

    • gatewayUsedIpNumber
      longRequired

      The number of IP addresses used by gateways in the deployment network.

    • instanceUsedIpNumber
      longRequired

      The number of IP addresses used by bare metal instances in the deployment network.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.